pskc_set_key_algparm_resp_checkdigits(3)

NAME
pskc_set_key_algparm_resp_checkdigits - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_algparm_resp_checkdigits(pskc_key_t * key, int checkdigit);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

int checkdigit
    non-zero to indicate setting true CheckDigit, 0 otherwise.

DESCRIPTION
Set the PSKC KeyPackage Key AlgorithmParameters ResponseFormat CheckDigits value. This attribute indicates whether the device needs to append a Luhn check digit, as defined in [ISOIEC7812], to the response. This is only valid if the 'Encoding' attribute is set to 'DECIMAL'. If the value is TRUE, then the device will append a Luhn check digit to the response. If the value is FALSE, then the device will not append a Luhn check digit to the response.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: http://www.gnu.org/software/libpskc/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.